aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimon Brandhof <simon.brandhof@sonarsource.com>2019-03-15 14:38:43 +0100
committerSimon Brandhof <simon.brandhof@sonarsource.com>2019-03-15 21:19:59 +0100
commitc1da0719f5baa4f9b5d565da2c427a2888a955a1 (patch)
tree00991d3578f684aea86e3db81b82319c5d191a68
parent03a5ab2517615d93d071aca18a3900f44b3b7dab (diff)
downloadsonar-scanner-cli-c1da0719f5baa4f9b5d565da2c427a2888a955a1.tar.gz
sonar-scanner-cli-c1da0719f5baa4f9b5d565da2c427a2888a955a1.zip
Disable build of branch on Travis if a PR is open
-rwxr-xr-xtravis.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/travis.sh b/travis.sh
index c61c5ee..c468541 100755
--- a/travis.sh
+++ b/travis.sh
@@ -11,5 +11,11 @@ configureTravis
export DEPLOY_PULL_REQUEST=true
+# When a pull request is open on the branch, then the job related
+# to the branch does not need to be executed and should be canceled.
+# It does not book slaves for nothing.
+# @TravisCI please provide the feature natively, like at AppVeyor or CircleCI ;-)
+cancel_branch_build_with_pr || exit 0
+
regular_mvn_build_deploy_analyze -Pdist-linux,dist-windows,dist-macosx